Package io.dapr.client.domain

# Class RuleMetadata

java.lang.Object
io.dapr.client.domain.RuleMetadata

public final class RuleMetadata extends Object
RuleMetadata describes the Subscription Rule's Metadata.

## Constructor Summary

Constructors
Constructor
Description
`RuleMetadata(String match, String path)`
Constructor for a RuleMetadata.

## Method Summary

Modifier and Type
Method
Description
`String`
`getMatch()`
`String`
`getPath()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RuleMetadata

public RuleMetadata(String match, String path)
Constructor for a RuleMetadata.

Parameters:
  `match` - CEL expression to match the message
  `path` - path to route the message

## Method Details

### getMatch

public String getMatch()

### getPath

public String getPath()